# Bluetooth SCO set state

An action block that enables or disables Bluetooth SCO audio routing.

The fiber will pause until the SCO connection has been established.

The SCO connection is only enabled while the fiber is running, or until it has been explicitly disabled. Use Keep enabled to automatically reenable SCO routing if it’s disabled by another app, like the Phone app, after a call.

The following restrictions apply to audio that can be routed through an SCO headset:

- Playback (output)
  - audio stream must be Voice call
  - format must be mono
  - sample rate must be 8kHz or 16kHz
- Recording (input)
  - format must be mono
  - sample rate must be 8kHz

## Input arguments

- Bluetooth SCO — whether to enable or disable Bluetooth SCO.
- Keep enabled — whether SCO should be reenabled after a phone call.